<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:id="@+id/cl"
    tools:visibility="visible"
    android:visibility="invisible"
    android:layoutDirection="ltr"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <ImageView
        android:id="@+id/iv"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:src="@mipmap/bg_svg_dan_dao"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/ivAvatar"
        android:layout_marginStart="27dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/iv"
        app:layout_constraintBottom_toBottomOf="@+id/iv"
        android:layout_width="20dp"
        android:layout_height="20dp"/>

    <com.swago.room.widget.MarqueeTextView
        android:id="@+id/marqueeTextView"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toEndOf="@+id/ivAvatar"
        android:layout_marginStart="5dp"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:textSize="14dp"
        tools:text="ddddd"
        android:layout_gravity="center"
        android:textColor="@color/white"
        app:scroll_first_delay="1000"
        app:scroll_interval="6000"
        app:scroll_mode="mode_forever"/>

</androidx.constraintlayout.widget.ConstraintLayout>